/****************************************************************
	MotorPWM.h 
	
	Motor control functions for CM001
	2ch PWM output

								2015.7.28@M.Utsumi@ARCDEVICE

*****************************************************************/

#ifndef MOTOR_PWM_H
#define MOTOR_PWM_H

#include "CM01.h"

#define MOTOR_MAX_VALUE    1024	// 1024100%

void MOTOR_Open( void );
void MOTOR_Drive( WORD wCh, short sDuty );

#define MOTOR_Brake() MOTOR_Drive( 0, MOTOR_MAX_VALUE+1 )
#define MOTOR_Free() MOTOR_Drive( 0, 0 )

#endif
